Package com.independentsoft.office.vml

# Class ShapeLayout

java.lang.Object
com.independentsoft.office.vml.ShapeLayout

All Implemented Interfaces:
  `IContentElement`, `IVmlElement`

public class ShapeLayout extends Object implements IVmlElement
The Class ShapeLayout.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShapeLayout()`
  Instantiates a new shape layout.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ShapeLayout`
  `clone()`
  `List<IContentElement>`
  `getContentElements()`
  `ExtensionHandlingBehavior`
  `getExtensionHandlingBehavior()`
  Gets the extension handling behavior.
  `IDMap`
  `getIDMap()`
  Gets the iD map.
  `RegroupTable`
  `getRegroupTable()`
  Gets the regroup table.
  `RuleSet`
  `getRuleSet()`
  Gets the rule set.
  `void`
  `setExtensionHandlingBehavior​(ExtensionHandlingBehavior extensionHandlingBehavior)`
  Sets the extension handling behavior.
  `void`
  `setIDMap​(IDMap idMap)`
  Sets the iD map.
  `void`
  `setRegroupTable​(RegroupTable regroupTable)`
  Sets the regroup table.
  `void`
  `setRuleSet​(RuleSet ruleSet)`
  Sets the rule set.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ShapeLayout

    public ShapeLayout()
    Instantiates a new shape layout.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public ShapeLayout clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IVmlElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getIDMap

    public IDMap getIDMap()
    Gets the iD map.
    Returns:
      the iD map

  - ### setIDMap

    public void setIDMap​(IDMap idMap)
    Sets the iD map.
    Parameters:
      `idMap` - the new iD map

  - ### getRegroupTable

    public RegroupTable getRegroupTable()
    Gets the regroup table.
    Returns:
      the regroup table

  - ### setRegroupTable

    public void setRegroupTable​(RegroupTable regroupTable)
    Sets the regroup table.
    Parameters:
      `regroupTable` - the new regroup table

  - ### getRuleSet

    public RuleSet getRuleSet()
    Gets the rule set.
    Returns:
      the rule set

  - ### setRuleSet

    public void setRuleSet​(RuleSet ruleSet)
    Sets the rule set.
    Parameters:
      `ruleSet` - the new rule set

  - ### getExtensionHandlingBehavior

    public ExtensionHandlingBehavior getExtensionHandlingBehavior()
    Gets the extension handling behavior.
    Returns:
      the extension handling behavior

  - ### setExtensionHandlingBehavior

    public void setExtensionHandlingBehavior​(ExtensionHandlingBehavior extensionHandlingBehavior)
    Sets the extension handling behavior.
    Parameters:
      `extensionHandlingBehavior` - the new extension handling behavior